unit Demo15F;
//
// PixelGraphicLibrary - Demo 15
// Version: 1.0 beta 3 for Delphi 2 and Delphi 3
// Copyright  1996-1998 Peter Beyersdorf, Lbeck, Germany
// http://www.beyersdorf.com/
//

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  FileCtrl, StdCtrls, PGraphic, Menus;

type
  TForm1 = class(TForm)
    FileListBox1: TFileListBox;
    DirectoryListBox1: TDirectoryListBox;
    DriveComboBox1: TDriveComboBox;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    Label9: TLabel;
    Label10: TLabel;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label14: TLabel;
    Label15: TLabel;
    Label16: TLabel;
    MainMenu1: TMainMenu;
    Info1: TMenuItem;
    Label17: TLabel;
    Label18: TLabel;
    Label19: TLabel;
    procedure FileListBox1Change(Sender: TObject);
    procedure Info1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FileListBox1Change(Sender: TObject);
var iType, iSubType, iOptions, iColors: string;
    iWidth, iHeight, iBitsPerPixel, iGraphicCount: Integer;
begin
Label17.Caption:='FileName: '+FileListBox1.FileName;
if PGFileInfo(FileListBox1.FileName, 0, iType, iSubType, iOptions, iWidth, iHeight, iColors, iBitsPerPixel, iGraphicCount) then
   Label1.Caption:='true'
else
   Label1.Caption:='false';
Label2.Caption:=iType;
Label3.Caption:=iSubType;
Label4.Caption:=iOptions;
Label5.Caption:=IntToStr(iWidth);
Label6.Caption:=IntToStr(iHeight);
Label7.Caption:=iColors;
Label8.Caption:=IntToStr(iBitsPerPixel);
Label19.Caption:=IntToStr(iGraphicCount);
end;

procedure TForm1.Info1Click(Sender: TObject);
begin
Application.Title:=Caption;
ShowMessage(
   'This should demonstrate how the PGFileInfo function can be used.'#13#13 +
   ' Copyright 1996-1998 Peter Beyersdorf, Germany'#13#13 +
   'http://www.beyersdorf.com/');
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
Info1Click(Self);
FileListBox1Change(Self);
end;

end.
